﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace WinScheduleBoldNoEvents
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DateTime startTime = DateTime.Now;
            this.ultraCalendarInfo1.Appointments.Add(startTime, startTime.AddHours(1), "test appointment");
            

            LoadCombo();


            // Get the Sample Data required for Appointments and Owners data binding
            DataSet scheduleData = this.GetSampleData();
            // Bind ultraCalendarInfo to Appointments Data Table
            this.ultraCalendarInfo1.DataBindingsForAppointments.DataSource = scheduleData.Tables["Appointments"];
            // Bind ultraCalendarInfo to Owners Data Table
            this.ultraCalendarInfo1.DataBindingsForOwners.DataSource = scheduleData.Tables["Owners"];

            // Set Appointments data binding properties to UltraCalendarInfo
            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndTime";

            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "OwnerKey";

            // Set Owners data binding properties to UltraCalendarInfo
            this.ultraCalendarInfo1.DataBindingsForOwners.KeyMember = "OwnerKey";
            this.ultraCalendarInfo1.DataBindingsForOwners.NameMember = "Name";

            this.ultraCalendarInfo1.DataBindingsForAppointments.SetDataBinding(scheduleData, string.Empty);

            this.ultraMonthViewMulti1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraWeekView1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraMonthViewSingle1.CalendarInfo = this.ultraCalendarInfo1;

        }

        private void LoadCombo()
        {
            this.comboBox1.DataSource = Enum.GetValues(typeof(ViewStyle));
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.ultraCalendarLook1.ViewStyle = (ViewStyle)this.comboBox1.SelectedValue;
            if (this.ultraCalendarLook1.ViewStyle == ViewStyle.Office2007)
            {
                this.ultraCalendarLook1.DayHeaderAppearance.FontData.Bold = Infragistics.Win.DefaultableBoolean.False;
                this.ultraCalendarLook1.DayWithActivityAppearance.FontData.Bold = Infragistics.Win.DefaultableBoolean.True;
                
            }
        }

        private DataSet GetSampleData()
        {
            DataSet theDataSet = new DataSet();

            // Create Appointments DataTable
            DataTable theAppointments = theDataSet.Tables.Add("Appointments");
            theAppointments.Columns.Add("AppointmentID", typeof(int));
            theAppointments.Columns.Add("StartTime", typeof(DateTime));
            theAppointments.Columns.Add("EndTime", typeof(DateTime));
            theAppointments.Columns.Add("Subject", typeof(string));
            theAppointments.Columns.Add("OwnerKey", typeof(string));

            // Add Appointments Sample Data
            theAppointments.Rows.Add(new object[] { "1", "6/6/2013 9:00:00 AM", "6/7/2013 10:00:00 AM", "Sprint Review", "Charlie" });
            theAppointments.Rows.Add(new object[] { "1", "6/7/2013 8:00:00 AM", "6/8/2013 08:30:00 AM", "Scrum Meet", "Jamie" });
            theAppointments.Rows.Add(new object[] { "1", "6/8/2013 9:00:00 AM", "6/9/2013 09:30:00 AM", "Status Meeting", "Lukas" });
            theAppointments.Rows.Add(new object[] { "1", "6/9/2013 8:45:00 AM", "6/10/2013 09:00:00 AM", "Feature Review", "Lopez" });

            // Create Owners DataTable
            DataTable theOwners = theDataSet.Tables.Add("Owners");
            theOwners.Columns.Add("OwnerID", typeof(int));
            theOwners.Columns.Add("Name", typeof(string));
            theOwners.Columns.Add("OwnerKey", typeof(string));

            // Add Owners Sample Data
            theOwners.Rows.Add(new object[] { "1", "Maria Charlie", "Charlie" });
            theOwners.Rows.Add(new object[] { "2", "John Jamie", "Jamie" });
            theOwners.Rows.Add(new object[] { "3", "Matthew Lukas", "Lukas" });
            theOwners.Rows.Add(new object[] { "4", "Leah Lopez", "Lopez" });

            return theDataSet;
        }
    }
}
